<div class="razmak">
    <!-- Prikaz sadrzaja komentara. -->
    <div>
        <div>
            <!-- Slika korisnika. -->
            <img src="assets/avatar.png" class="avatar">
            <!-- Naziv autora. -->
            <div>{{komentar.autor}}</div>
            <!-- Datum objave komentara. -->
            <div>{{komentar.datumObjave}}</div>
        </div>
        <div style="clear: both;">
            <div>
                <!-- Sadrzaj komentara. -->
                {{komentar.sadrzaj}}
            </div>
            <div>
                <!-- Dugme za prikaz forme za odgovor. -->
                <button (click)="formaToggle()">{{prikazForme ? "x" : "Odgovori"}}</button>
            </div>
        </div>
        <!-- Forma za odgovor. Prikazuje se samo pod uslovom da je prikazForme podesen na vrednost true. -->
        <app-komentar-forma [hidden]="!prikazForme" (onSubmit)="dodajOdgovor($event)"></app-komentar-forma>
        <hr>
    </div>
    <!-- Prikaz svih odgovora na prikazani komentar. -->
    <app-komentari [uvlacenje]="true" [komentari]="komentar.odgovori" [forma]="false"></app-komentari>
</div>